AFNIX(1)

NAME
axi - the afnix interpreter

SYNOPSIS
axi [ options ] file [ arguments ]

DESCRIPTION
axi invokes the AFNIX command-line interpreter. Without arguments, the interpreter is invoked interactively. With one or several arguments, the first argument is taken as the file to execute. The rest of the command line is the arguments for the file being executed. With the help of the file resolver, a file does not have to have the als or axc extensions.

OPTIONS

-h  prints an help message.

-v  displays the program version.

-f assert
    enables assertion checking.

-f nopath
    do not set initial path

-i path
    add a directory or librarian to the file search path

VERSION
The current version is 1.1.2

SEE ALSO
axc(1), axd(1), axl(1), axs(1)

NOTES
AFNIX comes with an extensive documentation. The documentation is available on line at http://www.afnix.org or in the doc directory in the form of formated xhtml documents.

AUTHOR
AFNIX has been written by Amaury Darsch <amaury@ethernix.org>.

HISTORY
AFNIX was originally called the Aleph programming language which has been discontinued on January 2005 when the 1.0.0 version was released.